Bug 163643 - [patch] astro/wmspaceweather: URL changed + two minor items
Summary: [patch] astro/wmspaceweather: URL changed + two minor items
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Soeren Straarup
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-27 16:10 UTC by Rainer Hurling
Modified: 2012-07-30 02:10 UTC (History)
0 users

See Also:


Attachments
file.diff (1.89 KB, patch)
2011-12-27 16:10 UTC, Rainer Hurling
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Hurling freebsd_committer 2011-12-27 16:10:10 UTC
(1) Main problem is, that the distfiles URL is not valid any more. Added two replacements.

(2) Because Perl5 will lost its builtin CTime function in the near future, added a dependency for devel/p5-Time-modules and link to it in wmSpaceWeather/GetKp.

(3) Added license information.

Fix: The applied patch should solve the above-mentioned three items.


Patch attached with submission follows:
How-To-Repeat: Try to install astro/wmspaceweather.
Comment 1 Edwin Groothuis freebsd_committer 2011-12-27 16:10:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->xride

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Rainer Hurling freebsd_committer 2011-12-27 16:29:28 UTC
I just noted that 'fetch 
http://dockapps.org/files/15/22/wmSpaceWeather-1.04.tar.gz' is working 
again.

But there seems to be a general problem with http://dockapps.org : In 
one of the first lines you can read 'The domain dockapps.org may be for 
sale by its owner!'. So possibly it is a good choice to additionally 
include the suggested URLs?

Rainer
Comment 3 Rainer Hurling freebsd_committer 2012-01-09 09:35:32 UTC
The original URL is mostly working again, but the distfile has changed 
its contents and so its checksum. Now the distfile is equal to those I 
stated in my patch.
Comment 4 Philip M. Gollucci freebsd_committer 2012-02-11 23:46:00 UTC
Responsible Changed
From-To: xride->pgollucci

committer&maintainer timeout (xride ; 33 days) / last commit: 86 days 
ago
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2012-06-22 03:18:49 UTC
Responsible Changed
From-To: pgollucci->freebsd-ports-bugs

With bugmeister hat, return to pool due to assignee ENOTIME. 

Note that this PR was already available for commit via maintainer-timeout.
Comment 6 Edwin Groothuis freebsd_committer 2012-07-16 07:59:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->xride

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 7 dfilter service freebsd_committer 2012-07-30 02:03:15 UTC
Author: xride
Date: Mon Jul 30 01:03:04 2012
New Revision: 301699
URL: http://svn.freebsd.org/changeset/ports/301699

Log:
  MASTER_SITES updated + two minor items
  
  PR:		ports/163643
  Submitted by:	Rainer Hurling <rhurlin@gwdg.de>

Modified:
  head/astro/wmspaceweather/Makefile
  head/astro/wmspaceweather/distinfo
  head/astro/wmspaceweather/files/patch-ab

Modified: head/astro/wmspaceweather/Makefile
==============================================================================
--- head/astro/wmspaceweather/Makefile	Sun Jul 29 23:33:52 2012	(r301698)
+++ head/astro/wmspaceweather/Makefile	Mon Jul 30 01:03:04 2012	(r301699)
@@ -6,14 +6,19 @@
 
 PORTNAME=	wmspaceweather
 PORTVERSION=	1.04
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	astro windowmaker
-MASTER_SITES=	http://dockapps.org/files/15/22/
+MASTER_SITES=	https://api.opensuse.org/public/source/openSUSE:Factory/WindowMaker-applets/ \
+		ftp://ftp.canadatux.org/linux/windowmaker/
 DISTNAME=	wmSpaceWeather-${PORTVERSION}
 
 MAINTAINER=	xride@FreeBSD.org
 COMMENT=	A DockApp that shows the weather at geosynchronous orbit
 
+LICENSE=	GPLv2
+
+RUN_DEPENDS=	${SITE_PERL}/Time/CTime.pm:${PORTSDIR}/devel/p5-Time-modules
+
 WRKSRC=		${WRKDIR}/${DISTNAME}/wmSpaceWeather
 
 # distfile is actually just a tar with suffix .tar.gz:

Modified: head/astro/wmspaceweather/distinfo
==============================================================================
--- head/astro/wmspaceweather/distinfo	Sun Jul 29 23:33:52 2012	(r301698)
+++ head/astro/wmspaceweather/distinfo	Mon Jul 30 01:03:04 2012	(r301699)
@@ -1,2 +1,2 @@
-SHA256 (wmSpaceWeather-1.04.tar.gz) = e616dd40237e3585e0fb7f9a37f44bb5c7c4fc1e1c9cfd2643ffb26d6706b9b3
-SIZE (wmSpaceWeather-1.04.tar.gz) = 143360
+SHA256 (wmSpaceWeather-1.04.tar.gz) = 107343c2e3d1fc2dd40f74ed9684f218d0f19e2358bc3813c6bc943bfd48eac0
+SIZE (wmSpaceWeather-1.04.tar.gz) = 36760

Modified: head/astro/wmspaceweather/files/patch-ab
==============================================================================
--- head/astro/wmspaceweather/files/patch-ab	Sun Jul 29 23:33:52 2012	(r301698)
+++ head/astro/wmspaceweather/files/patch-ab	Mon Jul 30 01:03:04 2012	(r301699)
@@ -1,5 +1,14 @@
---- GetKp.orig	Fri Apr 16 15:08:21 1999
-+++ GetKp	Tue Apr 13 20:06:19 2004
+--- GetKp.orig	1999-02-12 06:42:01.000000000 +0100
++++ GetKp	2011-12-27 15:38:56.000000000 +0100
+@@ -5,7 +5,7 @@
+ #
+ 
+ 
+-    require "ctime.pl";
++    use Time::CTime;
+ 
+ 
+     ($Year, $Month, $Day) = &year_month_day();
 @@ -19,7 +19,7 @@
      }
  
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 8 Soeren Straarup freebsd_committer 2012-07-30 02:04:43 UTC
State Changed
From-To: open->closed

Committed, thanks.